Package com.xebialabs.xlrelease.domain.delivery

## Class Stage

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.delivery.Stage

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class Stage
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_STAGE_TITLE` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Stage()` |
    `Stage​(java.lang.String title)` |
    `Stage​(java.lang.String id, java.lang.String title)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTrackedItems​(java.util.List<StageTrackedItem> items)` |
    `java.util.Optional<StageTrackedItem>` | `findItemById​(java.lang.String trackedItemId)` |
    `StageTrackedItem` | `getItemById​(java.lang.String trackedItemId)` |
    `java.util.List<StageTrackedItem>` | `getItems()` |
    `java.lang.String` | `getOwner()` |
    `StageStatus` | `getStatus()` |
    `java.lang.String` | `getTeam()` |
    `java.lang.String` | `getTitle()` |
    `Transition` | `getTransition()` |
    `boolean` | `hasOwner()` |
    `boolean` | `hasTeam()` |
    `boolean` | `hasTransition()` |
    `boolean` | `isClosed()` |
    `boolean` | `isOpen()` |
    `boolean` | `isOwner​(java.lang.String stageOwner)` |
    `void` | `removeTrackedItem​(java.lang.String itemId)` |
    `void` | `setItems​(java.util.List<StageTrackedItem> items)` |
    `void` | `setOwner​(java.lang.String value)` |
    `void` | `setStatus​(StageStatus status)` |
    `void` | `setTeam​(java.lang.String team)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setTransition​(Transition transition)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STAGE_TITLE

          public static final java.lang.String DEFAULT_STAGE_TITLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Stage

          public Stage()

    - #### Stage

          public Stage​(java.lang.String title)

    - #### Stage

          public Stage​(java.lang.String id,
                       java.lang.String title)

  - ### Method Detail

    - #### getItemById

          public StageTrackedItem getItemById​(java.lang.String trackedItemId)

    - #### findItemById

          public java.util.Optional<StageTrackedItem> findItemById​(java.lang.String trackedItemId)

    - #### removeTrackedItem

          public void removeTrackedItem​(java.lang.String itemId)

    - #### addTrackedItems

          public void addTrackedItems​(java.util.List<StageTrackedItem> items)

    - #### isOpen

          public boolean isOpen()

    - #### isClosed

          public boolean isClosed()

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getStatus

          public StageStatus getStatus()

    - #### setStatus

          public void setStatus​(StageStatus status)

    - #### getItems

          public java.util.List<StageTrackedItem> getItems()

    - #### setItems

          public void setItems​(java.util.List<StageTrackedItem> items)

    - #### hasTransition

          public boolean hasTransition()

    - #### getOwner

          public java.lang.String getOwner()

    - #### setOwner

          public void setOwner​(java.lang.String value)

    - #### hasOwner

          public boolean hasOwner()

    - #### isOwner

          public boolean isOwner​(java.lang.String stageOwner)

    - #### getTeam

          public java.lang.String getTeam()

    - #### hasTeam

          public boolean hasTeam()

    - #### setTeam

          public void setTeam​(java.lang.String team)

    - #### getTransition

          public Transition getTransition()

    - #### setTransition

          public void setTransition​(Transition transition)